1. Opportunities
Qonvera
  • Qonvera Public API
    • Contacts
      • List contacts
      • Create a contact
      • Get a contact
      • Update safe contact fields
    • Accounts
      • List accounts
      • Create an account
      • Get an account
      • Update safe account fields
    • Opportunities
      • List opportunities
        GET
      • Atomically create an opportunity
        POST
      • Get an opportunity
        GET
      • Update safe opportunity fields
        PATCH
    • Follow-ups
      • List follow-ups
      • Create an open follow-up
      • Get a follow-up
      • Update safe follow-up fields
    • Catalogue
      • List services
      • List pipelines
    • Receive a Qonvera CRM event
    • Schemas
      • Uuid
      • NullableUuid
      • NullableString
      • NullableEmail
      • NullableDate
      • NullableDateTime
      • Currency
      • TimestampFields
      • Contact
      • ContactPatch
      • ContactCreate
      • Account
      • AccountPatch
      • AccountCreate
      • ForecastCategory
      • Opportunity
      • OpportunityPatch
      • OpportunityServiceItem
      • OpportunityCreate
      • OpportunityCreateResultData
      • FollowupStatus
      • Followup
      • FollowupPatch
      • FollowupCreate
      • Service
      • Pipeline
      • ErrorDetail
      • ErrorEnvelope
      • ContactEnvelope
      • AccountEnvelope
      • OpportunityEnvelope
      • OpportunityCreateEnvelope
      • FollowupEnvelope
      • ContactListEnvelope
      • AccountListEnvelope
      • OpportunityListEnvelope
      • FollowupListEnvelope
      • ServiceListEnvelope
      • PipelineListEnvelope
      • WebhookEventType
      • WebhookEvent
      • ContactWebhookData
      • AccountWebhookData
      • OpportunityWebhookData
      • FollowupWebhookData
      • TestWebhookData
  1. Opportunities

Atomically create an opportunity

POST
/public/v1/opportunities
Creates the opportunity, immutable service snapshots, initial stage history, owner, and required next action in one transaction. Supplied IDs must belong to the API key's workspace.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Header Params

Body Params application/jsonRequired

Examples

Responses

🟢201OpportunityCreateResult
application/json
Atomic opportunity creation result.
Bodyapplication/json

🟠400ValidationFailed
🟠401Unauthorized
🟠403Forbidden
🟠404NotFound
🟠409IdempotencyConflict
🔴500OperationFailed
🔴503Unavailable
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://qonvera-521534438700.europe-west1.run.app/public/v1/opportunities' \
--header 'Idempotency-Key: 01K39V4M4A0Q8C8X78QX6P7C2P' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "account_id": "449e7a5c-69d3-4b8a-aaaf-5c9b713ebc65",
    "contact_id": "f245e2a3-e141-4d41-912c-b1c1f5bd5598",
    "conversation_id": "cc71b11a-25cd-4c2d-9950-df2cc38e3407",
    "pipeline_id": "ec036e81-7903-4e4d-bbfa-ac8516341cf0",
    "pipeline_stage_id": "16ac276d-82f6-4f2a-bbab-e2e260c45fe4",
    "currency": "AED",
    "discount_amount": 0,
    "note": "string",
    "owner_user_id": "65139110-7c3c-4777-b692-80c218be3b9d",
    "next_action_due_at": "2019-08-24T14:15:22.123Z",
    "next_action_note": "string",
    "service_items": [
        {
            "service_id": "641e839f-864e-4cce-98f9-40f6cbb3e9e0",
            "original_unit_price": 0,
            "original_currency": "AED",
            "quantity": 1,
            "exchange_rate": 1,
            "exchange_rate_date": "2019-08-24",
            "converted_unit_price": 0,
            "converted_total_price": 0,
            "converted_currency": "AED",
            "converted_at": "2019-08-24T14:15:22.123Z"
        }
    ]
}'
Response Response Example
201 - Example 1
{
    "data": {
        "deal_id": "2fa5b64f-5b72-4263-958e-07b76f41abe3",
        "replayed": true
    }
}
Modified at 2026-08-21 05:35:15
Previous
List opportunities
Next
Get an opportunity
Built with